DeregisterSubClusterResponsePBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: DeregisterSubClusterResponsePBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class DeregisterSubClusterResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusterResponse
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.DeregisterSubClusterResponsePBImpl

@Private @Unstable public class DeregisterSubClusterResponsePBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusterResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeregisterSubClusterResponsePBImpl()`
  `DeregisterSubClusterResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeregisterSubClusterResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `List<org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusters>`
  `getDeregisterSubClusters()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeregisterSubClusterResponseProto`
  `getProto()`
  `int`
  `hashCode()`
  `void`
  `setDeregisterSubClusters(List<org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusters> deregisterSubClusters)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusterResponse

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DeregisterSubClusterResponsePBImpl

    public DeregisterSubClusterResponsePBImpl()

  - ### DeregisterSubClusterResponsePBImpl

    public DeregisterSubClusterResponsePBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeregisterSubClusterResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.DeregisterSubClusterResponseProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setDeregisterSubClusters

    public void setDeregisterSubClusters(List<org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusters> deregisterSubClusters)
    Specified by:
      `setDeregisterSubClusters` in class `org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusterResponse`

  - ### getDeregisterSubClusters

    public List<org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusters> getDeregisterSubClusters()
    Specified by:
      `getDeregisterSubClusters` in class `org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusterResponse`